# The Dispute object

### The Dispute object

```json
{
  "id": "du_1MtJUT2eZvKYlo2CNaw2HvEv",
  "object": "dispute",
  "amount": 1000,
  "balance_transactions": [],
  "charge": "ch_1AZtxr2eZvKYlo2CJDX8whov",
  "created": 1680651737,
  "currency": "usd",
  "evidence": {
    "access_activity_log": null,
    "billing_address": null,
    "cancellation_policy": null,
    "cancellation_policy_disclosure": null,
    "cancellation_rebuttal": null,
    "customer_communication": null,
    "customer_email_address": null,
    "customer_name": null,
    "customer_purchase_ip": null,
    "customer_signature": null,
    "duplicate_charge_documentation": null,
    "duplicate_charge_explanation": null,
    "duplicate_charge_id": null,
    "product_description": null,
    "receipt": null,
    "refund_policy": null,
    "refund_policy_disclosure": null,
    "refund_refusal_explanation": null,
    "service_date": null,
    "service_documentation": null,
    "shipping_address": null,
    "shipping_carrier": null,
    "shipping_date": null,
    "shipping_documentation": null,
    "shipping_tracking_number": null,
    "uncategorized_file": null,
    "uncategorized_text": null
  },
  "evidence_details": {
    "due_by": 1682294399,
    "has_evidence": false,
    "past_due": false,
    "submission_count": 0
  },
  "is_charge_refundable": true,
  "livemode": false,
  "metadata": {},
  "payment_intent": null,
  "reason": "general",
  "status": "warning_needs_response"
}
```

- `evidence` (object)
  Evidence provided to respond to a dispute. Updating any field in the hash submits all fields in the hash for review.

  - `evidence.access_activity_log` (string, nullable)
    Any server or activity logs showing proof that the customer accessed or downloaded the purchased digital product. This information should include IP addresses, corresponding timestamps, and any detailed recorded activity.

  - `evidence.appeal` (object, nullable)
    Appeal evidence submitted during the appeal stage.

    - `evidence.appeal.card` (object, nullable)
      Card payment-method appeal evidence.

      - `evidence.appeal.card.reason_for_filing` (string, nullable)
        The reason for filing the appeal.

      - `evidence.appeal.card.supporting_files` (array of strings, nullable)
        One or more document IDs returned by a [file upload](https://docs.stripe.com/api/disputes/object.md#create_file) with a `purpose` value of `dispute_evidence` to support the appeal.

  - `evidence.billing_address` (string, nullable)
    The billing address provided by the customer.

  - `evidence.cancellation_policy` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Your subscription cancellation policy, as shown to the customer.

  - `evidence.cancellation_policy_disclosure` (string, nullable)
    An explanation of how and when the customer was shown your refund policy prior to purchase.

  - `evidence.cancellation_rebuttal` (string, nullable)
    A justification for why the customer’s subscription was not canceled.

  - `evidence.customer_communication` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Any communication with the customer that you feel is relevant to your case. Examples include emails proving that the customer received the product or service, or demonstrating their use of or satisfaction with the product or service.

  - `evidence.customer_email_address` (string, nullable)
    The email address of the customer.

  - `evidence.customer_name` (string, nullable)
    The name of the customer.

  - `evidence.customer_purchase_ip` (string, nullable)
    The IP address that the customer used when making the purchase.

  - `evidence.customer_signature` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) A relevant document or contract showing the customer’s signature.

  - `evidence.duplicate_charge_documentation` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Documentation for the prior charge that can uniquely identify the charge, such as a receipt, shipping label, work order, etc. This document should be paired with a similar document from the disputed payment that proves the two payments are separate.

  - `evidence.duplicate_charge_explanation` (string, nullable)
    An explanation of the difference between the disputed charge versus the prior charge that appears to be a duplicate.

  - `evidence.duplicate_charge_id` (string, nullable)
    The Stripe ID for the prior charge which appears to be a duplicate of the disputed charge.

  - `evidence.enhanced_evidence` (object)
    Additional evidence for qualifying evidence programs.

    - `evidence.enhanced_evidence.mastercard_compliance` (object, nullable)
      Evidence provided for Mastercard compliance evidence submission.

      - `evidence.enhanced_evidence.mastercard_compliance.fee_acknowledged` (boolean)
        A field acknowledging the fee incurred when countering a Mastercard compliance dispute. If this field is set to true, evidence can be submitted for the compliance dispute.

    - `evidence.enhanced_evidence.visa_compelling_evidence_3` (object, nullable)
      Evidence provided for Visa Compelling Evidence 3.0 evidence submission.

      - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction` (object, nullable)
        Disputed transaction details for Visa Compelling Evidence 3.0 evidence submission.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.customer_account_id` (string, nullable)
          User Account ID used to log into business platform. Must be recognizable by the user.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.customer_device_fingerprint` (string, nullable)
          Unique identifier of the cardholder’s device derived from a combination of at least two hardware and software attributes. Must be at least 20 characters.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.customer_device_id` (string, nullable)
          Unique identifier of the cardholder’s device such as a device serial number (e.g., International Mobile Equipment Identity [IMEI]). Must be at least 15 characters.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.customer_email_address` (string, nullable)
          The email address of the customer.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.customer_purchase_ip` (string, nullable)
          The IP address that the customer used when making the purchase.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.merchandise_or_services` (enum, nullable)
          Categorization of disputed payment.
Possible enum values:
          - `merchandise`
            Disputed payment was for a physical product.

          - `services`
            Disputed payment was for a service.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.product_description` (string, nullable)
          A description of the product or service that was sold.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address` (object, nullable)
          The address to which a physical product was shipped. All fields are required for Visa Compelling Evidence 3.0 evidence submission.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.disputed_transaction.shipping_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

      - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions` (array of objects)
        List of exactly two prior undisputed transaction objects for Visa Compelling Evidence 3.0 evidence submission.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.charge` (string)
          Stripe charge ID for the Visa Compelling Evidence 3.0 eligible prior charge.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.customer_account_id` (string, nullable)
          User Account ID used to log into business platform. Must be recognizable by the user.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.customer_device_fingerprint` (string, nullable)
          Unique identifier of the cardholder’s device derived from a combination of at least two hardware and software attributes. Must be at least 20 characters.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.customer_device_id` (string, nullable)
          Unique identifier of the cardholder’s device such as a device serial number (e.g., International Mobile Equipment Identity [IMEI]). Must be at least 15 characters.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.customer_email_address` (string, nullable)
          The email address of the customer.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.customer_purchase_ip` (string, nullable)
          The IP address that the customer used when making the purchase.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.product_description` (string, nullable)
          A description of the product or service that was sold.

        - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address` (object, nullable)
          The address to which a physical product was shipped. All fields are required for Visa Compelling Evidence 3.0 evidence submission.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.city` (string, nullable)
            City, district, suburb, town, or village.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.country` (string, nullable)
            Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.line1` (string, nullable)
            Address line 1, such as the street, PO Box, or company name.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.line2` (string, nullable)
            Address line 2, such as the apartment, suite, unit, or building.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.postal_code` (string, nullable)
            ZIP or postal code.

          - `evidence.enhanced_evidence.visa_compelling_evidence_3.prior_undisputed_transactions.shipping_address.state` (string, nullable)
            State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)).

    - `evidence.enhanced_evidence.visa_compliance` (object, nullable)
      Evidence provided for Visa compliance evidence submission.

      - `evidence.enhanced_evidence.visa_compliance.fee_acknowledged` (boolean)
        A field acknowledging the fee incurred when countering a Visa compliance dispute. If this field is set to true, evidence can be submitted for the compliance dispute. Stripe collects a 500 USD (or local equivalent) amount to cover the network costs associated with resolving compliance disputes. Stripe refunds the 500 USD network fee if you win the dispute.

  - `evidence.product_description` (string, nullable)
    A description of the product or service that was sold.

  - `evidence.receipt` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Any receipt or message sent to the customer notifying them of the charge.

  - `evidence.refund_policy` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Your refund policy, as shown to the customer.

  - `evidence.refund_policy_disclosure` (string, nullable)
    Documentation demonstrating that the customer was shown your refund policy prior to purchase.

  - `evidence.refund_refusal_explanation` (string, nullable)
    A justification for why the customer is not entitled to a refund.

  - `evidence.service_date` (string, nullable)
    The date on which the customer received or began receiving the purchased service, in a clear human-readable format.

  - `evidence.service_documentation` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Documentation showing proof that a service was provided to the customer. This could include a copy of a signed contract, work order, or other form of written agreement.

  - `evidence.shipping_address` (string, nullable)
    The address to which a physical product was shipped. You should try to include as complete address information as possible.

  - `evidence.shipping_carrier` (string, nullable)
    The delivery service that shipped a physical product, such as Fedex, UPS, USPS, etc. If multiple carriers were used for this purchase, please separate them with commas.

  - `evidence.shipping_date` (string, nullable)
    The date on which a physical product began its route to the shipping address, in a clear human-readable format.

  - `evidence.shipping_documentation` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Documentation showing proof that a product was shipped to the customer at the same address the customer provided to you. This could include a copy of the shipment receipt, shipping label, etc. It should show the customer’s full shipping address, if possible.

  - `evidence.shipping_tracking_number` (string, nullable)
    The tracking number for a physical product, obtained from the delivery service. If multiple tracking numbers were generated for this purchase, please separate them with commas.

  - `evidence.uncategorized_file` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    (ID of a [file upload](https://docs.stripe.com/guides/file-upload.md)) Any additional evidence or statements.

  - `evidence.uncategorized_text` (string, nullable)
    Any additional evidence or statements.
